<?php

namespace App\Domains\Admin\Actions\UpdateTenantGdpr;

class UpdateTenantGdprAction
{
    public function __construct(private UpdateTenantGdprRequest $request)
    {
    }

    public function execute(): UpdateTenantGdprResponse
    {
        $response = new UpdateTenantGdprResponse();

        $this->request->tenant->update([
            'gdpr_text' => $this->request->gdprText,
        ]);

        $response->success = true;
        $response->message = 'Datenschutzerklärung wurde gespeichert.';

        return $response;
    }
}
